Subject: [os2genau_digest] No. 2043
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 25 Jan 2011 00:00:14 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Monday 24 January 2011
 Number  2043
**************************************************

Subjects for today
 
1  Re:  ODBC for OS/2 and eCS : Nicholas Lysaght <nicholasrf at gmail dot com>

**= Email   1 ==========================**

Date:  Mon, 24 Jan 2011 08:06:36 +0800
From:  Nicholas Lysaght <nicholasrf at gmail dot com>
Subject:  Re:  ODBC for OS/2 and eCS

Hi John.

On 19 January 2011 21:09, John Angelico <talldad at kepl dot com dot au> wrote:
> Hello everybody.
>
> Hoping all are enjoying the new year so far.
>
> For those in the flooded areas, my sympathies.
>
> As per <subject> I am trying to re-start ODBC for OS/2 on my eCS 2.0 RC4
> system.
>
> Does anyone know if there are any ODBC package/s for OS/2 later than the
> 3.01 exIntersolv set released in Italy I think?
>
> The package I have seems to be cursed with the old IBM OS/2 2.x installer..
>
> What I am trying to do is set up an environment where I can bring a data
> set from work (Win XP) to use with OOBase at home.
>
> I am trying to make OOBase access the dataset so that I can print Customer
> Contact sheets for visiting clients. I don't need a full Contact Manager
> package for this, and my trusty old dBE expired when Randall Flint passed
> away suddenly. It USED TO work before various upgrades happened on the
> WinXP system :-(.

Do you have DBEClip? That worked with DBExpert to either import or
export datasets in a format DBExpert can understand. I don't know if
that's worth a shot o not. I can get it to work from DBExpert to Mesa,
or from a TAB delimited CSV file. It might help in some way.
>
> The data set is from a Win accounting package which previously using the
> old Btrieve engine, now supplanted by the Pervasive SQL engine.
>
> We could load the data set onto a Linux box here, but we can't get the
> Pervasive Linux SQL Client - not even the trial version, without being a
> registered user/client of Pervasive.
>
> Next best is to see if the OS/2 ODBC Administrator could see the files and
> set up the connection. I'm not sure but I think I might need the Pervasive
> SQL engine running somewhere on OS/2 for that.
>
> We do have the old OS/2 Btrieve DLL here, but we only use it on an older
> set of files generated by an earlier version of the Windows app.
>
> We don't know if that will look at the newer dataset, and we don't know if
> using OOBase means we must have an SQL engine at the far end.
>
> If you have been patient enough to get this far, I hope you might be able
> to help me solve the problem...:-)

I'm afraid the rest of that is a bit over my head. :-) Good luck, anyhow.

Regards

NICK
>
> Best regards
> John Angelico
> Former OS/2 SIG
> talldad at kepl dot com dot au
> ___________________
>
> --------------------------------------------------
>  
>  http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG